# Edit basic details of an event

Edit the basic information of an event such as the event name, description, date and time, location, and contacts.

Endpoint: POST /v2/events/{eventId}/edit-basic-info
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `eventId` (string, required)
    Event ID

## Request fields (application/json):

  - `name` (string, required)
    Name of the event

  - `type` (string)
    Type of an event
    Enum: "GENERIC", "PROGRAM", "PROGRAM_SESSION", "PROGRAM_TRIP"

  - `description` (string)
    Description of the event

  - `documents` (array)
    Documents attached for an event

  - `documents.url` (string, required)
    S3 location of the document.
    Example: https://s3.amazonaws.com/bucket-name/folder-name/file-name

  - `documents.documentId` (string, required)
    Unique identifier of the document.
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `documents.documentMetadata` (object, required)
    Metadata related to document.

  - `documents.documentMetadata.documentType` (string, required)
    Document type.
    Enum: "BOARDING_PASS", "CONFIRMATION", "INVOICE", "VISA", "MISCELLANEOUS", "OTHERS", "TASK_PROCESSOR", "EVENT_COVER_IMAGE", "LOGO_IMAGE", "KNOWLEDGE_BASE", "AI_PLATFORM_ATTACHMENTS", "AI_SKILL_FILE"

  - `documents.documentMetadata.entityType` (string, required)
    Entity type against which the document is to uploaded.
    Enum: "PNR", "COMPANY", "AIR_ITINERARY", "EVENT", "LOCATION_IMAGE", "AIR_COMMISSION_CONTRACT"

  - `documents.documentMetadata.entityId` (string, required)
    Entity Id for the given entity type.
    Example: 123124

  - `documents.documentMetadata.entityMetadata` (object, required)
    Metadata for associated entity of document.

  - `documents.documentMetadata.entityMetadata.pnrMetadata` (object)
    Metadata when document is associated to pnr entity.

  - `documents.documentMetadata.entityMetadata.pnrMetadata.flightMetadata` (object)
    Flight metadata against which document is associated.

  - `documents.documentMetadata.entityMetadata.pnrMetadata.flightMetadata.flightId` (string)
    Unique identifier of the flight.
    Example: CgNERU4SA1NGTxoKNTQ1NzI5ODcxMQ

  - `documents.documentMetadata.entityMetadata.pnrMetadata.legMetadata` (object)
    Leg metadata against which document is associated.

  - `documents.documentMetadata.entityMetadata.pnrMetadata.legMetadata.legId` (string)
    Unique identifier of the leg.
    Example: CgNTRk8SA0RFThoKNTQ1NzI5ODcxMQ==

  - `documents.documentMetadata.entityMetadata.invoiceMetadata` (object)
    Metadata associated with an invoice document.

  - `documents.documentMetadata.entityMetadata.invoiceMetadata.invoiceNumber` (string, required)
    Example: SPOT-0001

  - `documents.documentMetadata.entityMetadata.invoiceMetadata.invoiceType` (string)
    Enum: "SERVICE_FEE_INVOICE", "FARE_INVOICE", "GENERIC_INVOICE"

  - `documents.documentMetadata.entityMetadata.travelType` (string, required)
    Travel Type
    Enum: "AIR", "HOTEL", "CAR", "RAIL", "LIMO", "MISC", "ALL"

  - `documents.documentMetadata.entityMetadata.eventMetadata` (object)
    Metadata when document is associated to an event.

  - `documents.documentMetadata.entityMetadata.eventMetadata.address` (object)
    Postal Address Details

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.addressLines` (array, required)
    Address lines

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.administrativeArea` (string)
    Code of administrative area. For example: DL for Delhi, India.
Highest administrative subdivision which is used for postal
addresses of a country or region.
For example, this can be a state, a province, an oblast, or a prefecture.
Specifically, for Spain this is the province and not the autonomous
community (e.g. "Barcelona" and not "Catalonia").
Many countries don't use an administrative area in postal addresses. E.g.
in Switzerland this should be left unpopulated.
    Example: CA

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.administrativeAreaName` (string)
    Name of administrative area. This is full name corresponding to administrativeArea. 
Like Delhi for DL area code. For some places, code and name maybe same as well like Tokyo.
    Example: California

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.description` (string)
    Address description
    Example: San Francisco Home

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.isDefault` (boolean)
    Whether this address is default address in case multiple addresses are specified.
    Example: true

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.languageCode` (string)
    BCP-47 language code of the contents of this address (if known). This is often the UI 
language of the input form or is expected to match one of the languages used in the 
address' country/region, or their transliterated equivalents.
This can affect formatting in certain countries, but is not critical to the correctness 
of the data and will never affect any validation or other non-formatting related operations.
Examples: "zh-Hant", "ja", "ja-Latn", "en".
    Example: en

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.locality` (string)
    Generally refers to the city/town portion of the address.
    Example: San Francisco

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.locationCode` (string)
    IATA 3-letter location code. See https://www.iata.org/en/services/codes.
    Example: LAX

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.organization` (string)
    The name of the organization at the address.
    Example: Spotnana

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.postalCode` (string)
    Postal code of the address. This is a required field when setting for a user/legal entity/company etc.
    Example: 94130

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.continentCode` (string)
    2 letter continent code of the continent this address falls in.
    Example: AF

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.recipients` (array)
    The recipient at the address.

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.regionCode` (string, required)
    Region code of the country/region of the address.
    Example: US

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.regionName` (string)
    Region name of the country/region of the address.
    Example: America

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.revision` (integer)
    Example: 1

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.sortingCode` (string)
    Additional, country-specific, sorting code. This is not used
in most regions. Where it is used, the value is either a string like
"CEDEX", optionally followed by a number (e.g. "CEDEX 7"), or just a number
alone, representing the "sector code" (Jamaica), "delivery area indicator"
(Malawi) or "post office indicator" (e.g. Côte d'Ivoire).
    Example: Jamaica

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.sublocality` (string)
    Sublocality of the address. This can be neighborhoods, boroughs, districts.

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.timezone` (string)
    Time zone of the address.
    Example: America/Los_Angeles

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.coordinates` (object)
    Latitude and Longitude for a Location

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.coordinates.latitude` (number, required)
    Latitude of the Location
    Example: 77.1025

  - `documents.documentMetadata.entityMetadata.eventMetadata.address.coordinates.longitude` (number, required)
    Longitude of the Location
    Example: 28.7041

  - `documents.documentMetadata.name` (string, required)
    Document name.
    Example: BoardingPass.pdf

  - `startDateTime` (object)
    Local date and time in ISO 8601 format.

  - `startDateTime.iso8601` (string, required)
    Example: 2017-07-21T17:32

  - `location` (object, required)
    Location for an event

  - `contacts` (array)
    Contacts for the event

  - `contacts.id` (string, required)

  - `referenceUsers` (array)
    Event group reference user ids

  - `travelerTypes` (array)
    Allowed traveler types for the event

  - `bookingStyle` (string)
    The booking style for the event's participants.
    Enum: "SELF_SERVE", "AGENT_MANAGED"

  - `policyId` (string)
    Policy associated with the event.
    Example: f7b3b3b3-7b3b-4b3b-8b3b-3b3b3b3b3b3b

  - `allowTravelersPolicy` (string)
    Apply travelers policy when it is less restrictive.
    Enum: "ALLOWED", "NOT_ALLOWED"

  - `emailPreferences` (object)
    Email communication preferences based on bucket types.

  - `emailPreferences.bucketTypes` (array, required)
    List of email bucket types.

  - `emailPreferences.isEnabled` (boolean)
    Indicates whether emails are disabled.

  - `emailPreferences.toEmails` (array)
    List of email address to be included in emails.

  - `emailPreferences.ccEmails` (array)
    List of email address to be cc-ed in emails.

  - `emailPreferences.bccEmails` (array)
    List of email address to be bcc-ed in emails.

  - `allowTravelersToRsvp` (string)
    Allow travelers to rsvp for the event
    Enum: "ALLOWED", "NOT_ALLOWED"

  - `internalNotes` (string)
    Internal notes of the event
    Example: Use travelers default as payment method.

  - `tripOverrides` (object)
    Trip overrides for the event

  - `tripOverrides.legalEntity` (object, required)
    Legal entity override for the event

  - `tripOverrides.legalEntity.behavior` (string, required)
    Override behavior for the trip overrides
    Enum: "OVERRIDE_ALLOWED", "OVERRIDE_NOT_ALLOWED", "OVERRIDE_MANDATORY"

  - `tripOverrides.legalEntity.legalEntityRef` (object)
    Reference of an entity

  - `tripOverrides.legalEntity.legalEntityRef.id` (string, required)
    Example: b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3

  - `tripOverrides.legalEntity.legalEntityRef.name` (string)
    Example: Name

  - `tripOverrides.costCenter` (object, required)
    Cost center override for the event

  - `tripOverrides.department` (object, required)
    Department override for the event

  - `tripOverrides.userAttributes` (array, required)
    List of company specified attribute overrides

  - `tripOverrides.userAttributes.attribute` (object, required)
    Company specified user arbitrary attribute.

  - `tripOverrides.userAttributes.attribute.fixedColumnName` (string, required)
    Example: contingentType

  - `tripOverrides.userAttributes.attribute.value` (string)
    Example: FSTV

  - `tripOverrides.rateCodeOverrides` (array)
    List of rate codes to be overridden for a trip

  - `tripOverrides.rateCodeOverrides.supplier` (string)
    Supplier type like Sabre, TravelFusion etc.
    Enum: "SABRE", "AMADEUS", "TRAVEL_FUSION", "FARELOGIX_NDC", "ATPCO_NDC", "TRAINLINE", "AVIA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "NDC", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "HILTON", "NATIONAL", "ALAMO", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "EUROSTAR", "AVIS", "BUDGET", "AMADEUS_NDC", "SIXT"

  - `tripOverrides.rateCodeOverrides.rateCodeIds` (array)
    List of rate code ids

  - `tripContacts` (array)
    Trip contacts for the event. These are passed through to created trips.

  - `tripContacts.label` (string, required)
    Label for the contact
    Example: Coordinator

  - `tripContacts.name` (string, required)
    Name of the contact
    Example: Himani Jain

  - `tripContacts.email` (string)
    Email of the contact
    Example: himani@spotnana.com

  - `tripContacts.phoneNumber` (object)
    Properly formatted phone number.

  - `tripContacts.phoneNumber.countryCode` (integer)
    two digit country code
    Example: 91

  - `tripContacts.phoneNumber.countryCodeSource` (string)
    Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY"

  - `tripContacts.phoneNumber.extension` (string)
    phone number extension
    Example: 222

  - `tripContacts.phoneNumber.isoCountryCode` (string)
    ISO alpha-2 code
    Example: IN

  - `tripContacts.phoneNumber.italianLeadingZero` (boolean)
    Example: true

  - `tripContacts.phoneNumber.nationalNumber` (integer)
    Example: 8150

  - `tripContacts.phoneNumber.numberOfLeadingZeros` (integer)
    Example: 1

  - `tripContacts.phoneNumber.preferredDomesticCarrierCode` (string)
    Example: 7

  - `tripContacts.phoneNumber.rawInput` (string)
    Example: 77777

  - `tripContacts.phoneNumber.type` (string)
    Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE"

  - `tripContacts.isPrimary` (boolean)
    Whether the contact is primary or not
    Example: true

  - `tripContacts.restrictVisibility` (boolean)
    Whether to restrict visibility of the contact to only agents and admins
    Example: true

  - `inheritedCustomFieldIds` (array)
    List of custom field IDs that were inherited from parent

  - `eventCustomFieldV3Responses` (array)
    List of custom field responses for an event.

  - `eventCustomFieldV3Responses.fieldId` (string, required)
    Custom field id

  - `eventCustomFieldV3Responses.fieldName` (string)
    Name of the custom field

  - `eventCustomFieldV3Responses.armId` (string, required)
    Arm id which is applicable

  - `eventCustomFieldV3Responses.readOnly` (boolean)
    Indicates whether the user can change the pre-selected options.
    Example: true

  - `eventCustomFieldV3Responses.hidden` (boolean)
    Whether this code will be hidden to the user.
    Example: true

  - `eventCustomFieldV3Responses.selectedOptions` (array, required)
    The list of options that are selected by user or auto populated.

  - `eventCustomFieldV3Responses.selectedOptions.name` (string, required)
    Value of the selection

  - `eventCustomFieldV3Responses.selectedOptions.translatedName` (string)
    Translated value of the selection

  - `eventCustomFieldV3Responses.selectedOptions.description` (string)
    Description of the selection

  - `eventCustomFieldV3Responses.selectedOptions.translatedDescription` (string)
    Translated description of the selection

  - `eventCustomFieldV3Responses.selectedOptions.additionalUserInput` (string)
    Additional user input

  - `eventCustomFieldV3Responses.selectedOptions.additionalInfos` (array)
    Actual values of the additional infos

  - `eventCustomFieldV3Responses.selectedOptions.additionalInfoConfigs` (array)
    Additional info configs for the selected option

  - `eventCustomFieldV3Responses.selectedOptions.additionalInfoConfigs.type` (string, required)
    Enum: "VARIABLE", "EXPRESSION"

  - `eventCustomFieldV3Responses.selectedOptions.additionalInfoConfigs.name` (string, required)
    Name of the variable.
    Enum: "PUBLISHED_FARE", "LLF", "ADD_COLLECT_AMOUNT", "SELECTED_FARE", "SPLIT_PAYMENT_FARE"

  - `eventCustomFieldV3Responses.selectedOptions.additionalInfoConfigs.formatExpression` (string, required)
    The expression must be of format : `<any_text> ${expression} <any_text>`.The expression
can consist of a combination of variables and mathematical operations.
Variable names must be same as VariableName Enum.
To define mathematical operations, the operation name should follow the format
`math.<math_op>(arg1, arg2)`. Both `arg1` and `arg2` can be variables or constants.
The supported math operations (math_op) include: `add, mul, div, sub, min, and max`. All keywords, such as `<math_op>, math, and var` must be written in lowercase.
    Example: Result:  ${math.mul(LLF,5)}  ${ADD_COLLECT_AMOUNT}

  - `eventCustomFieldV3Responses.selectedOptions.additionalInfoConfigs.variables` (array)
    Reference names of the variables present in the expression.

  - `eventCustomFieldV3Responses.selectedOptions.optionId` (string)
    Id of the selected option; sent by clients, never returned

  - `eventCustomFieldResponses` (array)
    List of custom field responses for the event.

  - `eventCustomFieldResponses.customFieldId` (string, required)
    The unique identifier for the custom field.
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `eventCustomFieldResponses.responseItems` (array)
    Responses selected by the event coordinator.

  - `eventCustomFieldResponses.responseItems.response` (string, required)
    The response of the custom field. It can be a text input from the user or a custom field code if the input is from a radio button or checkbox.
    Example: Leisure travel

  - `eventCustomFieldResponses.responseItems.additionalInput` (string)
    This contains additional input to the above response. It will only be used for checkbox with percentage and will contain the percentage value.
    Example: 20

  - `eventCustomFieldResponses.travelerAccess` (string, required)
    Traveler access for a custom field
    Enum: "HIDDEN", "READ_ACCESS", "WRITE_ACCESS"

  - `inviteEmailConfig` (object)
    Configuration for event invite/reminder emails

  - `inviteEmailConfig.emailExcludeCoordinatorInfo` (boolean)
    Whether to exclude coordinator information in emails sent to travelers.
    Example: true

  - `enableRegisterLink` (boolean)
    Whether the open registration link is enabled for this event.
    Example: true

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `id` (string)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

